summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJoel Sherrill <joel.sherrill@OARcorp.com>1997-04-18 12:45:32 +0000
committerJoel Sherrill <joel.sherrill@OARcorp.com>1997-04-18 12:45:32 +0000
commite412baeca054942b9248f25a1eca01981bba6c79 (patch)
treec12590e2a5a19e2af76403afc8a43364cfda2694
parentAdded gen68360_040. (diff)
downloadrtems-e412baeca054942b9248f25a1eca01981bba6c79.tar.bz2
Modifications to add --enable-libcdir and --enable-gcc28. These
trip options which allow the RTEMS makefile structure to support both gcc 2.7.2.2 and gcc 2.8 whenever that is released.
-rw-r--r--Makefile.in4
-rw-r--r--configure40
-rw-r--r--configure.in12
3 files changed, 50 insertions, 6 deletions
diff --git a/Makefile.in b/Makefile.in
index 253b752f79..15a8295598 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -43,6 +43,8 @@ PROJECT_ROOT = @PROJECT_ROOT@
RTEMS_HAS_POSIX_API = @RTEMS_HAS_POSIX_API@
RTEMS_HAS_KA9Q = @RTEMS_HAS_KA9Q@
RTEMS_USE_MACROS = @RTEMS_USE_MACROS@
+RTEMS_USE_GCC272 = @RTEMS_USE_GCC272@
+RTEMS_LIBC_DIR = @RTEMS_LIBC_DIR@
ifeq ($(RTEMSBSP),)
RTEMS_BSP = @RTEMS_BSP@
@@ -86,6 +88,8 @@ $(MTARGETS): mlink
\"RTEMS_HAS_POSIX_API=$(RTEMS_HAS_POSIX_API)\" \
\"RTEMS_HAS_KA9Q=$(RTEMS_HAS_KA9Q)\" \
\"RTEMS_USE_MACROS=$(RTEMS_USE_MACROS)\" \
+ \"RTEMS_USE_GCC272=$(RTEMS_USE_GCC272)\" \
+ \"RTEMS_LIBC_DIR=$(RTEMS_LIBC_DIR)\" \
\"AWK=$(AWK)\" $@" ; \
eval $$cmd || $(EXIT_CMD); \
fi; done;
diff --git a/configure b/configure
index 97aa6c02a8..b6af47e842 100644
--- a/configure
+++ b/configure
@@ -24,6 +24,12 @@ ac_help="$ac_help
--disable-rtems-inlines disable RTEMS inline functions (use macros)"
ac_help="$ac_help
\
+ --enable-gcc28 enable use of gcc 2.8.x features"
+ac_help="$ac_help
+\
+ --enable-libcdir=directory set the directory for the C library"
+ac_help="$ac_help
+\
--disable-tests disable tests"
ac_help="$ac_help
\
@@ -907,7 +913,7 @@ c/src/tests/tools/unix/Makefile \
c/src/tests/tools/unix/posix/Makefile"
echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
-echo "configure:911: checking whether ${MAKE-make} sets \${MAKE}" >&5
+echo "configure:917: checking whether ${MAKE-make} sets \${MAKE}" >&5
set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
@@ -980,7 +986,7 @@ else { echo "configure: error: can not run $ac_config_sub" 1>&2; exit 1; }
fi
echo $ac_n "checking host system type""... $ac_c" 1>&6
-echo "configure:984: checking host system type" >&5
+echo "configure:990: checking host system type" >&5
host_alias=$host
case "$host_alias" in
@@ -1001,7 +1007,7 @@ host_os=`echo $host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
echo "$ac_t""$host" 1>&6
echo $ac_n "checking target system type""... $ac_c" 1>&6
-echo "configure:1005: checking target system type" >&5
+echo "configure:1011: checking target system type" >&5
target_alias=$target
case "$target_alias" in
@@ -1019,7 +1025,7 @@ target_os=`echo $target | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
echo "$ac_t""$target" 1>&6
echo $ac_n "checking build system type""... $ac_c" 1>&6
-echo "configure:1023: checking build system type" >&5
+echo "configure:1029: checking build system type" >&5
build_alias=$build
case "$build_alias" in
@@ -1079,6 +1085,25 @@ else
fi
+# Check whether --enable-gcc272 or --disable-gcc272 was given.
+if test "${enable_gcc272+set}" = set; then
+ enableval="$enable_gcc272"
+ \
+RTEMS_USE_GCC272=no
+else
+ RTEMS_USE_GCC272=yes
+fi
+
+# Check whether --enable-libcdir or --disable-libcdir was given.
+if test "${enable_libcdir+set}" = set; then
+ enableval="$enable_libcdir"
+ \
+ RTEMS_LIBC_DIR="${enableval}" ; \
+test -d ${enableval} || { echo "configure: error: "$enableval is not a directory" " 1>&2; exit 1; }
+fi
+
+
+
RTEMS_PREFIX=${target_cpu}-${target_vendor}
#
@@ -1178,7 +1203,7 @@ do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1182: checking for $ac_word" >&5
+echo "configure:1208: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_prog_AWK'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@@ -1207,7 +1232,7 @@ test -n "$AWK" && break
done
echo $ac_n "checking whether ln -s works""... $ac_c" 1>&6
-echo "configure:1211: checking whether ln -s works" >&5
+echo "configure:1237: checking whether ln -s works" >&5
if eval "test \"`echo '$''{'ac_cv_prog_LN_S'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@@ -1261,6 +1286,8 @@ fi
+
+
trap '' 1 2 15
cat > confcache <<\EOF
# This file is a shell script that caches the results of configure
@@ -1487,6 +1514,7 @@ s%@RTEMS_ROOT@%$RTEMS_ROOT%g
s%@RTEMS_HAS_POSIX_API@%$RTEMS_HAS_POSIX_API%g
s%@RTEMS_HAS_KA9Q@%$RTEMS_HAS_KA9Q%g
s%@RTEMS_USE_MACROS@%$RTEMS_USE_MACROS%g
+s%@RTEMS_USE_GCC272@%$RTEMS_USE_GCC272%g
s%@PROJECT_ROOT@%$PROJECT_ROOT%g
s%@program_prefix@%$program_prefix%g
diff --git a/configure.in b/configure.in
index ac5587a524..da6b1f71da 100644
--- a/configure.in
+++ b/configure.in
@@ -390,6 +390,16 @@ AC_ARG_ENABLE(rtems-inlines, \
[ --disable-rtems-inlines disable RTEMS inline functions (use macros)], \
RTEMS_USE_MACROS=yes,RTEMS_USE_MACROS=no)
+AC_ARG_ENABLE(gcc272, \
+[ --enable-gcc28 enable use of gcc 2.8.x features], \
+RTEMS_USE_GCC272=no,RTEMS_USE_GCC272=yes)
+
+AC_ARG_ENABLE(libcdir, \
+[ --enable-libcdir=directory set the directory for the C library], \
+[ RTEMS_LIBC_DIR="${enableval}" ; \
+test -d ${enableval} || AC_MSG_ERROR("$enableval is not a directory" ) ] )
+
+
RTEMS_PREFIX=${target_cpu}-${target_vendor}
#
@@ -509,6 +519,8 @@ AC_SUBST(RTEMS_ROOT)
AC_SUBST(RTEMS_HAS_POSIX_API)
AC_SUBST(RTEMS_HAS_KA9Q)
AC_SUBST(RTEMS_USE_MACROS)
+AC_SUBST(RTEMS_USE_GCC272)
+AC_SUBST(RTEMS_LIBC_DIR)
AC_SUBST(PROJECT_ROOT)
AC_SUBST(program_prefix)